#include <ESP8266WiFi.h>
#include <WiFiClient.h> 
#include <ESP8266WebServer.h>
#include <FS.h>

const char *ssid = "Lucía y Marina";
String web;
int state0, state2;
File dataFile;

ESP8266WebServer server(80);

// Go to http://192.168.4.1 in a web browser

void handle_led() {
  if(server.arg("state16") != "") digitalWrite(16 , server.arg("state16").toInt());
  if(server.arg("state5") != "") digitalWrite(5 , server.arg("state5").toInt());
  if(server.arg("state4") != "") digitalWrite(4 , server.arg("state4").toInt());
  if(server.arg("state0") != "") digitalWrite(0 , server.arg("state0").toInt());
  if(server.arg("state2") != "") digitalWrite(2, server.arg("state2").toInt());
  if(server.arg("state14") != "") digitalWrite(14 , server.arg("state14").toInt());
  if(server.arg("state12") != "") digitalWrite(12 , server.arg("state12").toInt());
  if(server.arg("state13") != "") digitalWrite(13 , server.arg("state13").toInt());

  delay(100);
  server.send(200, "text/html", web);  //Respuesta al click de un botón
}


void setup() {
  pinMode(16,OUTPUT);digitalWrite(16 ,0);
  pinMode(5,OUTPUT);digitalWrite(5 ,0);
  pinMode(4,OUTPUT);digitalWrite(4 ,0);
  pinMode(2,OUTPUT);digitalWrite(2 ,0);
  pinMode(0,OUTPUT);digitalWrite(0 ,0);
  pinMode(14,OUTPUT);digitalWrite(14 ,0);
  pinMode(12,OUTPUT);digitalWrite(12 ,0);
  pinMode(13,OUTPUT);digitalWrite(13 ,0);
  
  /////////////// F I L E - S Y S T E M //////////////////////
  SPIFFS.begin();
  dataFile = SPIFFS.open("/Web.html", "r");
    if (dataFile) {
    while (dataFile.available()) {
          web += dataFile.readString();
    }}
  delay(1000);
  
  WiFi.softAP(ssid);
  server.on("/", [](){server.send(200, "text/html", web);}); //Cómo respondemos si un cliente está en el directorio raiz "/"
  server.on("/led", handle_led); //Cómo respondemos si un cliente hace una "action" "/led"

  server.begin();
}

void loop() {
  server.handleClient(); //Respuesta a las peticiones de un nuevo cliente
}
